FAQ   Search   Memberlist  
Profile    Log in to check your private messages    Register    Log in
kernel for 90002

 
Post new topic   Reply to topic    BLAG Forum Index -> development
View previous topic :: View next topic  
Author Message
renilgh
PostPosted: Sat Apr 11, 2009 9:48 am    Post subject: kernel for 90002 Reply with quote

This refers to http://trac.slated.org/index.cgi/ticket/25

The first proposed kernel candidate for 90k2 is kernel-libre-2.6.27.21

We need people to test this candidate.
Please follow the HowTo living on http://trac.slated.org/index.cgi/wiki/Tickets/25/KernelTesting and report back to the TRAC ticket or simply to this thread.

Here's the current version of the HowTo:

Quote:



It is assumed that you are running BLAG 90k1 on a 32bit machine/system.
1. Grab the latest kernel-libre rpm files:

http://www.fsfla.org/download/linux-libre/freed-ora/F-9/i686/kernel-libre-2.6.27.21-78.2.41.fc9.1.i686.rpm

http://www.fsfla.org/download/linux-libre/freed-ora/F-9/noarch/kernel-libre-firmware-2.6.27.21-78.2.41.fc9.1.noarch.rpm

By default you don't need the following. Run 'yum info kernel-libre-headers kernel-libre-doc kernel-libre-devel' to see if you might want (i.e. have already been using) one of these and include as necessary.

http://www.fsfla.org/download/linux-libre/freed-ora/F-9/i386/kernel-libre-headers-2.6.27.21-78.2.41.fc9.1.i386.rpm

http://www.fsfla.org/download/linux-libre/freed-ora/F-9/noarch/kernel-libre-doc-2.6.27.21-78.2.41.fc9.1.noarch.rpm

http://www.fsfla.org/download/linux-libre/freed-ora/F-9/i586/kernel-libre-devel-2.6.27.21-78.2.41.fc9.1.i586.rpm
2. Install the packages ¶

As root:

rpm -ivh kernel-libre-2.6.27.21-78.2.41.fc9.1.i686.rpm kernel-libre-firmware-2.6.27.21-78.2.41.fc9.1.noarch.rpm

It seems reasonable to skip headers etc. for now and proceed to the end of this document. If you're kernel works well, add the corresponding headers and the like. If you want to update the headers you will need to run

rpm -Uvh kernel-libre-headers-2.6.27.21-78.2.41.fc9.1.i386.rpm

I expect doc and devel to behave the same, but please try it and add the info here.
3. Update your grub.conf file ¶

Again as root:

Fire up the text editor you use to worship and find /boot/grub/menu.lst

The easiest way to update the file is to copy one of the already existing blocks and change the version information.

For example:

title BLAG Linux and GNU (2.6.26.5-libre.45.fc9.i686)
root (hd0,0)
kernel /vmlinuz-2.6.26.5-libre.45.fc9.i686 ro root=UUID=72096aa4-eca1-4084-b5$
initrd /initrd-2.6.26.5-libre.45.fc9.i686.img

becomes

title BLAG Libre and GNU (2.6.27.21-libre.78.2.41.fc9.1.i686)
root (hd0,0)
kernel /vmlinuz-2.6.27.21-libre.78.2.41.fc9.1.i686 ro vga=791 root=UUID=72096aa4-eca1-4084-b5$
initrd /initrd2.6.27.21-libre.78.2.41.fc9.1.i686.img


Save, exit, reboot on the new kernel and post some feedback.


Thanks for your help!

--renilgh

Junichirô
PostPosted: Sun Apr 19, 2009 10:10 am    Post subject: Reply with quote

It seems it is solved; because there is no more old kernels linux-libre on fsfla repo.
When we go on noldrin or kimsufi repos it seems there are some files (linux-libre firmware on one or linux-libre-headers on the other) that are not present.
I know we are not on the non-free thread but the absence of old kernels and before a new one make possible to use free b43 firmware forbid people to use there broadcom wifi cards.

extraspecialbitter
PostPosted: Sun May 17, 2009 5:16 pm    Post subject: Re: kernel for 90002 Reply with quote

renilgh wrote:
This refers to http://trac.slated.org/index.cgi/ticket/25

The first proposed kernel candidate for 90k2 is kernel-libre-2.6.27.21

We need people to test this candidate.


I'm finally getting with the program:^)

Code:
pablo@bocajuniors=> head -1 /etc/issue
BLAG release 90001 (oxygen)
pablo@bocajuniors=> uname -r
2.6.27.21-libre.78.2.41.fc9.1.i686

extraspecialbitter
PostPosted: Sun May 17, 2009 8:03 pm    Post subject: Reply with quote

an update...

Code:
pablo@bocajuniors=> head -1 /etc/issue
BLAG release 90001 (oxygen)
pablo@bocajuniors=> uname -r
2.6.27.23-libre.78.2.50.fc9.i686

Junichirô
PostPosted: Wed May 20, 2009 11:00 am    Post subject: Reply with quote

I installed it (same version as extraspecialbitter) on my main computer (Desktop) and now I install it on my lenovo ideapad s10. Fine too on ideapad.
I'll try later the x86_64 on my inspiron 1501.

Junichirô
PostPosted: Thu May 28, 2009 10:50 am    Post subject: Reply with quote

Yesterday I wanted to try new kernel on my inspiron 1501; I installed it with some difficulties but at the end it ran. But I had to uninstall gnome-screensaver because of broken packages. After that it was impossible to reinstall it because of dependencies unmatched. I saw it was because on Noldrin no fedora-scrennsaver-theme no more fedorainfinity-screensaver-theme.
After that all went wrong and now my laptop is on installing debian amd64 because I don't want to spend hours with blag netinstall. The only installation of x86_64.

Junichirô
PostPosted: Sat May 30, 2009 7:16 pm    Post subject: Reply with quote

I reinstall my blag x86_64 and the last freed-ora kernel with no problem.
kernel-libre-2.6.27.24-78.2.53.fc9.x86_64.
And all works fine. My problem (see above) came from a bad removing of old kernels;

Display posts from previous:   
Post new topic   Reply to topic    BLAG Forum Index -> development
Page 1 of 1

Protected by Anti-Spam ACP